<template>
	<uv-navbar v-bind="$attrs" @leftClick="handleLeftClick()" />
</template>

<script name="Navbar" lang="ts" setup>
	const $Props = defineProps({
		isLeftClick: {
			type: Boolean,
			default: false
		}
	})
	const $emit = defineEmits(['leftClick'])
	const handleLeftClick = () => {
		if ($Props.isLeftClick) {
			$emit('leftClick')
		} else {
			uni.navigateBack()
		}

	}
</script>

<style lang="scss" scoped>

</style>